// main styles // 

.window__modal {
    visibility: hidden;
    opacity: 0;
    position: fixed;
    z-index: 3;
    width: 100%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: 0.4s ease;
    border-radius: 20px;
    overflow: hidden;
}

.close__modal {
    position: absolute;
    right: 15px;
    top: 15px;

    svg {
        width: 20px;
        height: 20px;
    }

    @media (max-width: 768px) {
        svg {
            width: 15px;
            height: 15px;
        }
    }
}

// survey modal //

.survey__modal {
    max-width: 768px;
    width: 100%;

    @media (max-width: 1024px) {
        max-width: 576px;
    }

    @media (max-width: 768px) {
        max-width: 425px;
        top: 55%;
    }

    @media (max-width: 576px) {
        max-width: 375px;
    }

    .survey {
        .sd-root-modern {
            border-radius: 20px;

            @media (max-width: 375px) {
                border-radius: none;
            }
        }

        .sd-item {
            padding: calc(1.5 * var(--base-unit, 5px)) 0;
        }

        .sd-page__row.sd-row {
            margin-top: calc(2 * var(--base-unit, 5px));
        }

        .sd-root-modern:not(.svc-tab-designer) .sd-container-modern__title {
            background-color: $silver;
            box-shadow: none;
            margin: 0;
        }
        
        .sd-body .sd-body__page {
            background-color: $white;
            padding: 1rem 1.5rem;
            box-shadow: none;

            @media (max-width: 768px) {
                overflow-y: scroll;
                max-height: 400px;
            }
        }

        .sd-header__text {
            gap: 0;
        }

        .sd-header__text h3 {
            font-size: 20px;
        }

        .sd-header__text h5 {
            font-size: 14px;
            max-width: 70%;
        }

        .sd-page .sd-page__title {
            font-size: 20px;
            margin: 0;
        }

        .sd-item__control-label {
            font-size: 14px;
        }

        .svc-logic-question-value, .sd-element:not(.sd-element--collapsed) {
            box-shadow: none;
            padding: 0;
        }

        .sd-body__navigation .sd-btn {
            font-family: 'Russo One';
            font-weight: 400;
            font-size: 16px;
            background: $blueGradient;
            color: $white;
            text-transform: uppercase;
            outline: none;
            border: none;
            box-shadow: none;
            padding: 1rem 2rem;

            &:hover {
                background: $blueGradientHover;
            }
        }

        .sd-item--checked .sd-item__decorator {
            background: $green;
        }

        .sd-item--allowhover .sd-selectbase__label:hover .sd-item__decorator {
            box-shadow: 0 0 0 2px var(--primary, $green);
            outline: none;
        }

        .sd-item__control:focus + .sd-item__decorator,
        .sd-item--allowhover .sd-selectbase__label:hover .sd-item__decorator {
            background: $green, $white;
            box-shadow: 0 0 0 2px $green;
        }

        .sd-input {
            font-family: 'Noto Sans';
            background-color: $white;
            border: 1px solid $gray2;
            padding: 1rem 0;
            text-indent: 20px;
            border-radius: 10px;
            // width: inherit;
            font-size: 12px;
            font-weight: 400;
            color: $black;
            outline: none;
            
        }

        .sd-input:focus {
            box-shadow: none;
        }

        .sd-question__erbox {
            display: contents;
        }

        .sd-completedpage:before {
            height: 50px;
        }

        .sd-completedpage:after {
            height: 50px;
        }

        .sd-header__text h5 {
            @media (max-width: 1024px) {
                font-size: 14px;
            }
        }

        .sd-item__control-label {
            @media (max-width: 768px) {
                font-size: 14px;
            }
        }

        .sd-item {
            @media (max-width: 768px) {
                padding: 8px 0;
            }
        }

        .sd-question__header--location-top {
            padding-bottom: calc(0.2*var(--sd-base-vertical-padding));
        }

        // .sv-string-viewer {
        //     display: block;
        //     margin-bottom: 10px;
        // }
    }

    .form {
        padding: 0;
    }
}

// consultation modal //

.consultation__modal {
    max-width: 550px;
    width: 100%;
    background-color: $white;

    @media (max-width: 1024px) {
        max-width: 450px;
    }

    @media (max-width: 576px) {
        max-width: 350px;

        .form {
            padding: 1.5rem;
        }
    }
}

// contract modal //

.contract__modal {
    max-width: max-content;
    width: 100%;
    background-color: $white;
    display: flex;

    @media (max-width: 768px) {
        max-width: 450px;
    }

    @media (max-width: 576px) {
        max-width: 350px;
    }

    .contract__content {
        padding: 4rem 6rem;
        background-image: url('../img/background/form.png');
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        
        .offer__content {
            max-width: 350px;
            text-align: center;
    
            .modal__title {
                @include modalTitle;
                font-size: 20px;
                margin-bottom: 20px;
            }
        
            .modal__text {
                @include modalText;
                
            }
        
            .modal__price {
                @include modalPrice;
            }
        
            .small__text {
                @include smallText;
                margin-bottom: 0;    
            }
        }

        @media (max-width: 1024px) {
            padding: 2rem;

            .offer__content {
                max-width: 250px;
            }
        }

        @media (max-width: 768px) {
            display: none;
        }
    }

    .form {
        max-width: 350px;
        width: 100%;

        @media (max-width: 1024px) {
            max-width: 300px;
        }

        @media (max-width: 768px) {
            max-width: 100%;
        }

        @media (max-width: 576px) {
            padding: 1.5rem;
        }
    }
}

